import { ElementRef, OnChanges, Renderer2, SimpleChanges, ViewContainerRef } from '@angular/core';
import { AnimationHelperService } from './animation-helper.service';
import { BaseLoadingDirective } from './base-loading.directive';
import { NgxBlockLoadingOptions } from './ngx-block-loading.options';
import { NgxBlockRenderingDirective } from './ngx-block-rendering.directive';
export declare class NgxBlockLoadingDirective extends BaseLoadingDirective implements OnChanges {
    private _isLoading;
    set isLoading(value: boolean | '');
    get isLoading(): boolean | '';
    static ngAcceptInputType_isLoading: boolean | '';
    private renderingDirectives;
    get elementToLoad(): ElementRef | undefined;
    constructor(element: ElementRef, viewContainerRef: ViewContainerRef, renderer: Renderer2, options: NgxBlockLoadingOptions, animationHelper: AnimationHelperService);
    ngOnChanges(changes: SimpleChanges): void;
    private getRenderingElementIndex;
    addRenderingElement(renderingDirective: NgxBlockRenderingDirective): void;
    removeRenderingElement(renderingDirective: NgxBlockRenderingDirective): void;
    stop(): void;
}
